<?php

/**
 * 2009-08-27 messageSqlBased.php
 *
 * @author Mariusz Chwalba <koder@mediasystems.pl>
 * @copyright 2009 Media Systems
 * @package cashbill
 *
 * Klasy pomocnicze do obsługi wiadomości przez bazę MySql
 * 
 */


class cMySqlConnection
{
	public $host, $login, $password, $database;
	
	/**
	 * Połączenie do bazy danych MySql
	 * 
	 * @param $host     - serwer bazy danyh
	 * @param $login    - login do serwera
	 * @param $password - hasło do serwera
	 * @param $database - baza danych do użycia
	 * 
	 */
	public function __construct( $host, $login, $password, $database )
	{
		$this->host = $host;
		$this->login = $login;
		$this->password = $password;
		$this->database = $database;
	}
}


/**
 * @internal Obsługa wiadomości SMS z wykorzystaniem MySql
 *
 */
class cSMSMySqlBased
{
	protected $table, $connection;
	
	/**
	 * Uruchomienie handlera z obsługą bazy danych
	 * 
	 * @param cMySqlConnection $con - połączenie do bazy danych
	 * @param $table                - nazwa tabeli
	 */
	public function __construct( cMySqlConnection $con, $table='sms_unique' )
	{
		$this->table = $table;
		
		$this->connection = mysql_connect( $con->host, $con->login, $con->password );
		mysql_select_db( $con->database, $this->connection );
		
		$this->createTables();
	}
	
	public function createTables()
	{
		mysql_query(
		"
			CREATE TABLE IF NOT EXISTS `{$this->table}` (
			  `id` varchar(32) NOT NULL,
			  `pid` varchar(32) NOT NULL,
			  `done` tinyint(1) NOT NULL,
			  PRIMARY KEY  (id)
			) ENGINE=MyISAM;
		
		", $this->connection );	
	}
}
